Bug 1704771 - Expression editor for cloud_tenant_id gets an error
Summary: Expression editor for cloud_tenant_id gets an error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.4
Assignee: Brian McLaughlin
QA Contact: Angelina Nikiforova
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1698168
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-30 13:18 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
9 users (show)

Fixed In Version: 5.10.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1698168
Environment:
Last Closed: 2019-05-21 05:47:07 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:14 UTC

Comment 2 CFME Bot 2019-04-30 13:31:38 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/7c23944ee5c15e798704e3b1df41834af8d83601
commit 7c23944ee5c15e798704e3b1df41834af8d83601
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Apr 29 16:37:26 2019 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Apr 29 16:37:26 2019 -0400

    Merge pull request #5503 from bmclaughlin/fix-expression-editor-error

    Use numeric comparison for IDs

    (cherry picked from commit 85fa7e519dc313aa381fc09b4959c0024cc17f03)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1704771

 app/controllers/application_controller/filter/expression.rb | 4 +-
 spec/controllers/application_controller/filter/expression_spec.rb | 6 +
 2 files changed, 9 insertions(+), 1 deletion(-)

Comment 7 Angelina Nikiforova 2019-05-02 14:36:07 UTC
Fixed and verified in 5.10.4.1.20190430152139_40a1d86

Comment 9 errata-xmlrpc 2019-05-21 05:47:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.